Jump to content

Recommended Posts

Problem seems to be related to latest AMD&ATI graphic card driver update. When I uninstall graphic card drivers I can play scenarios smoothly. My system is Win 7 64 bit.

I'm not good at computers, is there any solution other than uninstalling drivers.

Thanks.

Edited by Ataman
Link to post
Share on other sites
  • 3 weeks later...

I just installed a new AMD GPU, updated drivers completely.. and I now have the same error... I play SCWW1 Breakthrough almost daily for months now... easily one of my favorite games and I am in the middle of an epic saved game...

Are you going to fix this issue with some kind of patch? Because its pretty crazy to think I can no longer play a game I paid for simply because I have a new graphics card... I mean hell this game doesn't even HAVE graphics...

Link to post
Share on other sites

I tried running AMDs gaming evolved software which "optimizes" games, it does not find SCWW1 breakthrough installed,, I looked through the entire list of supported games and I saw Strategic Command European Theater... which was the original SC game made years and years ago, I remember playing it back in the day, but non of the newer games, IE SC2, SCWaW, SCWW1, etc are on the list... perhaps someone at Battlefront should be keeping up with these kind of things? I mean, I have played nearly every Strategic Command games over the years, I love the games, I paid good money for them, they are graphically very very basic, there shouldn't be problems like this in 2016! The game technically isn't even that old!!

Also, where the hell is the tech support? I can't seem to find either a tech support forum here, or anything on the main battlefront.com webpage for tech support... there are some FAQ or help desk items, but very few really and non that match this problem.. the contact us page has no tech support contact... Yes its true this is probably the first time I can recall having an issue with battlefront games, and I have been a buyer and player of your games for many years, as you can see I am a Senior Member, but still to have either absolutely no tech support for your games or to make it so hard to find is kind of bewildering?

Link to post
Share on other sites

I found a similar post on AMDs forums...apparently since the new crimson 16.6 drivers came out the game won't work! they are now a few updates past 16.6 and I guess it still doesn't work... :(

 

FAILED(initialize_national_tile_surface): 0x80070057 The parameter is incorrect.

Link to post
Share on other sites
  • 4 weeks later...

I guess with the new driver the copy protection assumes the game is now on a different computer.

It may work if you deinstall the game, then use the cleaning untility from the helpdesk and then install the game again.

Maybe the helpdesk has already an easier solution.

I moved back to the old driver since I have multiple battlefront games with this problem and did not want to install/clean all of them.

Link to post
Share on other sites

It should NOT be necessary to run the gsClean utilities from the Helpdesk unless you are having problems with the copy-protection system. The " FAILED(initialize_national_tile_surface): 0x80070057 The parameter is incorrect" error is NOT an issue with the copy-protection system as far as I can tell. Typically copy-protection problems will prevent the game from running what-so-ever, usually with an error message that indicates a problem with the activation.

The error appears to be the AMD video drivers are not providing the necessary resources or interfering with the game function. I believe that Night is running a Radeon RX 480 that needs newer drivers that happen to have this problem. If you're running an older generation of Radeons, then you can potentially use older video drivers (pre-16.6) that may not have this issue.

As for other Battlefront games, only the Strategic Command series will have this particular problem, since it references specific elements of those games (not the copy-protection system that is shared by other non-Strategic Command games). I don't know if this problem is limited to particular titles in the Strategic Command series or if all of them will have this problem (quite likely the latter may be the case).

Link to post
Share on other sites
  • 2 weeks later...

I been wanting to play this game lately but keep getting the tile error. I do have a AMD card in my laptop and the game plays fine but no longer plays on my desktop. I am assuming regardless if this an error caused by a Vid card BF would be working on correcting this problem. Trajan's fix doesn't work for me, any suggestions?

 

Link to post
Share on other sites

I also contacted AMD about it, I suggest you all do the same, highly unlikely they will address it though, it's going to have to be battlefront that fixes this one... I know I won't be buying any more SC games until it is fixed thats for sure!

Link to post
Share on other sites
  • 2 weeks later...

I'm not feeling very confident on future Battlefront sales if BF can't give us a patch to resolve the issue of the AMD drivers. For someone who has spent well over 300 dollars for BF games I think they should express a little bit more customer support. They resolved the issue with CMBB with the vista patch and should do so for their SC series too.

Link to post
Share on other sites

Battlefront is only the DISTRIBUTOR of the Strategic Command series. Hubert Cater/Fury Software is the developer of the series who is responsible for patches.

The 16.10.3 AMD drivers are out now(10/26/2016), though I suspect they do NOT address the problem that Strategic Command is suffering from.

The issue appears to be AMD's video drivers, which isn't an uncommon issue when it comes to games. Video drivers are not perfect and problems creep into new drivers ALL OF THE TIME. If you ever look at the bug fixes for video drivers you'll notice quite a few errors for major games (some are major issues, most minor issues). This particular problem appears to have come about sometime around the 16.3 drivers. Drivers prior to that probably will not have the error. The Nvidia drivers do NOT have this problem. This means that a patch has to be developed that works around a particular bug in the AMD drivers and that is harder than you may assume. The problem is that AMD appears to have a problem with certain DirectX/DirectDraw calls that the Strategic Command series is using. Working around that would probably mean using a significantly different method of drawing graphics to the screen. This would NOT necessarily be a small undertaking as there can be 'knock-on effects' that could require redoing the graphics engine for the game and/or using completely different libraries.

There's an irony regarding the 'Vista patch' for CMBB and CMAK. The issue at the time was DirectX 10 capable video cards (both AMD and Nvidia) and their drivers didn't support certain DirectX calls properly that CMBB and CMAK depended on at the time. In this case there wasn't too much programming that was necessary to get around this limitation in the drivers. The irony is that several months after the 'Vista patch' was published, both AMD and Nvidia updated their drivers with fixes that pretty much erased the problem. However the patch did fix some issues with AMD drivers that cropped up a few years later.

Unfortunately, unless it is a game that a million+ people are playing, it takes quite awhile for video developers to release a fix that affects your game. A problem with AMD drivers years ago caused problems for CMSF and it took 9 months for AMD to fix it (and a rare direct contact from AMD to Battlefront to pursue the bug) - and this was at a time when AMD released new drivers approximately every month. AMD is not alone in having problems with their video drivers. Problems with Nvidia drivers can easily take as long to get a solution as it does with AMD.

Right now the most effective solution is to properly uninstall your current AMD video driver and go back to the 16.2/16.2.1 Hotfix driver. The only people who can't do this are those who have the latest 'RX' series video cards that need one of the latest drivers (the cards aren't supported by the 16.2 drivers). Admittedly this isn't the most desirable solution, but it is what is available right now. I don't know when Hubert/Fury Software will get around to possibly creating a patch (if they pursue that path). Right now they are at work on the next SC game, Strategic Command: WWII War in Europe.

Link to post
Share on other sites

Just bought a RX 480 card. I think my solution, (disable the card), would work as it does for the R7 200.

I don't expect SC3 having any problem like that.

And you're right Schrullenhaft, the latest driver doesn't address it.

Edited by Trajan
Link to post
Share on other sites
  • 3 weeks later...

I really hope this isn't being ignored... I have bought 4 separate SC games from battlefront and I certainly will not be buying another until I am sure that I can run it... It isn't like AMD is some crazy off brand... there is really no excuse for not taking care of this..

Link to post
Share on other sites
  • 4 months later...

Yes, you can uninstall your current Radeon driver and install a driver version BEFORE Catalyst 16.3. However if you're using one of the latest 'RX series' of video cards, then it will NOT be possible to install a video driver that doesn't have this problem (the 16.2.x and older drivers do NOT support the RX series).

Link to post
Share on other sites

Apologies everyone as admittedly I haven't been able to follow the forums here in the last little while but I have been fully active in all support tickets submitted via the Battlefront Helpdesk.

To get my more immediate attention for any tech support issues please do submit a ticket via the Helpdesk and it will be responded to in a timely manner.

For this particular issue, as Schrullenhaft highlighted above, the unfortunate problem is that the latest video card drivers (with this issue) have broken how they deal with the DirectX version that this game uses and currently the only solution we have is to roll back the driver.  It is not ideal but if applicable it does work.

 

Link to post
Share on other sites

Sadly, as has been pointed out, for those of us that bought new cards in the RX series there is no "rollback" the original drivers don't work and apparently neither do the new ones. I haven't even tried to play in months now :(

Link to post
Share on other sites
×
×
  • Create New...